# GstVp8Parser

For more details about the structures, you can refer to the specifications: VP8-rfc6386.pdf

## GstVp8FrameHdr

Frame header.

### Members

`key_frame` (guint8) –

indicates whether the frame is a key frame (1), or an inter frame (0)

`version` (guint8) –

version number

`show_frame` (guint8) –

indicates whether the frame is meant to be displayed (1), or not (0)

`data_chunk_size` (guint8) –

the size in bytes of the Uncompressed Data Chunk

`first_part_size` (guint32) –

the size in bytes of the first partition (control partition), excluding the uncompressed data chunk

`width` (guint16) –

the frame width in pixels

`height` (guint16) –

the frame height in pixels

`horiz_scale_code` (guint8) –

horizontal scale code value

`vert_scale_code` (guint8) –

vertical scale code value

`color_space` (guint8) –

defines the YUV color space of the sequence

`clamping_type` (guint8) –

specifies if the decoder is required to clamp the reconstructed pixel values

`filter_type` (guint8) –

determines whether the normal or the simple loop filter is used

`loop_filter_level` (guint8) –

controls the deblocking filter

`sharpness_level` (guint8) –

controls the deblocking filter

`log2_nbr_of_dct_partitions` (guint8) –

determines the number of separate partitions containing the DCT coefficients of the macroblocks

`partition_size` (guint *) –

determines the size of each separate partition containing the DCT coefficients of the macroblocks, including the very last one (calculated size)

`quant_indices` (GstVp8QuantIndices) –

dequantization indices (see GstVp8QuantIndices)

`token_probs` (GstVp8TokenProbs) –

token probabilities (see GstVp8TokenProbs)

`mv_probs` (GstVp8MvProbs) –

probabilities used for motion vector decoding (see GstVp8MvProbs)

`mode_probs` (GstVp8ModeProbs) –

probabilities used for intra-prediction mode decoding tree (see GstVp8ModeProbs)

`refresh_entropy_probs` (guint8) –

determines whether updated token probabilities are used only for this frame or until further update

`refresh_last` (guint8) –

determines if the current decoded frame refreshes the last frame reference buffer

`refresh_golden_frame` (guint8) –

determines if the current decoded frame refreshes the golden frame

`refresh_alternate_frame` (guint8) –

determines if the current decoded frame refreshes the alternate reference frame

`copy_buffer_to_golden` (guint8) –

determines if the golden reference is replaced by another reference

`copy_buffer_to_alternate` (guint8) –

determines if the alternate reference is replaced by another reference

`sign_bias_golden` (guint8) –

controls the sign of motion vectors when the golden frame is referenced

`sign_bias_alternate` (guint8) –

controls the sign of motion vectors when the alternate frame is referenced

`mb_no_skip_coeff` (guint8) –

enables (0) or disables (1) the skipping of macroblocks containing no non-zero coefficients

`prob_skip_false` (guint8) –

indicates the probability that the macroblock is not skipped

`prob_intra` (guint8) –

indicates the probability of an intra macroblock

`prob_last` (guint8) –

indicates the probability that the last reference frame is used for inter-prediction

`prob_gf` (guint8) –

indicates the probability that the golden reference frame is used for inter-prediction

`rd_range` (guint8) –

last range decoder value for "Range"

`rd_value` (guint8) –

last range decoder value for "Value"

`rd_count` (guint8) –

number of bits left in range decoder "Value" (@rd_value)

`header_size` (guint) –

the size in bits of the Frame Header, thus excluding any Uncompressed Data Chunk bytes

## GstCodecParsers.Vp8FrameHdr

Frame header.

### Members

`key_frame` (Number) –

indicates whether the frame is a key frame (1), or an inter frame (0)

`version` (Number) –

version number

`show_frame` (Number) –

indicates whether the frame is meant to be displayed (1), or not (0)

`data_chunk_size` (Number) –

the size in bytes of the Uncompressed Data Chunk

`first_part_size` (Number) –

the size in bytes of the first partition (control partition), excluding the uncompressed data chunk

`width` (Number) –

the frame width in pixels

`height` (Number) –

the frame height in pixels

`horiz_scale_code` (Number) –

horizontal scale code value

`vert_scale_code` (Number) –

vertical scale code value

`color_space` (Number) –

defines the YUV color space of the sequence

`clamping_type` (Number) –

specifies if the decoder is required to clamp the reconstructed pixel values

`filter_type` (Number) –

determines whether the normal or the simple loop filter is used

`loop_filter_level` (Number) –

controls the deblocking filter

`sharpness_level` (Number) –

controls the deblocking filter

`log2_nbr_of_dct_partitions` (Number) –

determines the number of separate partitions containing the DCT coefficients of the macroblocks

`partition_size` ([ Number ]) –

determines the size of each separate partition containing the DCT coefficients of the macroblocks, including the very last one (calculated size)

`quant_indices` (GstCodecParsers.Vp8QuantIndices) –

dequantization indices (see GstCodecParsers.Vp8QuantIndices)

`token_probs` (GstCodecParsers.Vp8TokenProbs) –

token probabilities (see GstCodecParsers.Vp8TokenProbs)

`mv_probs` (GstCodecParsers.Vp8MvProbs) –

probabilities used for motion vector decoding (see GstCodecParsers.Vp8MvProbs)

`mode_probs` (GstCodecParsers.Vp8ModeProbs) –

probabilities used for intra-prediction mode decoding tree (see GstCodecParsers.Vp8ModeProbs)

`refresh_entropy_probs` (Number) –

determines whether updated token probabilities are used only for this frame or until further update

`refresh_last` (Number) –

determines if the current decoded frame refreshes the last frame reference buffer

`refresh_golden_frame` (Number) –

determines if the current decoded frame refreshes the golden frame

`refresh_alternate_frame` (Number) –

determines if the current decoded frame refreshes the alternate reference frame

`copy_buffer_to_golden` (Number) –

determines if the golden reference is replaced by another reference

`copy_buffer_to_alternate` (Number) –

determines if the alternate reference is replaced by another reference

`sign_bias_golden` (Number) –

controls the sign of motion vectors when the golden frame is referenced

`sign_bias_alternate` (Number) –

controls the sign of motion vectors when the alternate frame is referenced

`mb_no_skip_coeff` (Number) –

enables (0) or disables (1) the skipping of macroblocks containing no non-zero coefficients

`prob_skip_false` (Number) –

indicates the probability that the macroblock is not skipped

`prob_intra` (Number) –

indicates the probability of an intra macroblock

`prob_last` (Number) –

indicates the probability that the last reference frame is used for inter-prediction

`prob_gf` (Number) –

indicates the probability that the golden reference frame is used for inter-prediction

`rd_range` (Number) –

last range decoder value for "Range"

`rd_value` (Number) –

last range decoder value for "Value"

`rd_count` (Number) –

number of bits left in range decoder "Value" (@rd_value)

`header_size` (Number) –

the size in bits of the Frame Header, thus excluding any Uncompressed Data Chunk bytes

## GstCodecParsers.Vp8FrameHdr

Frame header.

### Members

`key_frame` (int) –

indicates whether the frame is a key frame (1), or an inter frame (0)

`version` (int) –

version number

`show_frame` (int) –

indicates whether the frame is meant to be displayed (1), or not (0)

`data_chunk_size` (int) –

the size in bytes of the Uncompressed Data Chunk

`first_part_size` (int) –

the size in bytes of the first partition (control partition), excluding the uncompressed data chunk

`width` (int) –

the frame width in pixels

`height` (int) –

the frame height in pixels

`horiz_scale_code` (int) –

horizontal scale code value

`vert_scale_code` (int) –

vertical scale code value

`color_space` (int) –

defines the YUV color space of the sequence

`clamping_type` (int) –

specifies if the decoder is required to clamp the reconstructed pixel values

`filter_type` (int) –

determines whether the normal or the simple loop filter is used

`loop_filter_level` (int) –

controls the deblocking filter

`sharpness_level` (int) –

controls the deblocking filter

`log2_nbr_of_dct_partitions` (int) –

determines the number of separate partitions containing the DCT coefficients of the macroblocks

`partition_size` ([ int ]) –

determines the size of each separate partition containing the DCT coefficients of the macroblocks, including the very last one (calculated size)

`quant_indices` (GstCodecParsers.Vp8QuantIndices) –

dequantization indices (see GstCodecParsers.Vp8QuantIndices)

`token_probs` (GstCodecParsers.Vp8TokenProbs) –

token probabilities (see GstCodecParsers.Vp8TokenProbs)

`mv_probs` (GstCodecParsers.Vp8MvProbs) –

probabilities used for motion vector decoding (see GstCodecParsers.Vp8MvProbs)

`mode_probs` (GstCodecParsers.Vp8ModeProbs) –

probabilities used for intra-prediction mode decoding tree (see GstCodecParsers.Vp8ModeProbs)

`refresh_entropy_probs` (int) –

determines whether updated token probabilities are used only for this frame or until further update

`refresh_last` (int) –

determines if the current decoded frame refreshes the last frame reference buffer

`refresh_golden_frame` (int) –

determines if the current decoded frame refreshes the golden frame

`refresh_alternate_frame` (int) –

determines if the current decoded frame refreshes the alternate reference frame

`copy_buffer_to_golden` (int) –

determines if the golden reference is replaced by another reference

`copy_buffer_to_alternate` (int) –

determines if the alternate reference is replaced by another reference

`sign_bias_golden` (int) –

controls the sign of motion vectors when the golden frame is referenced

`sign_bias_alternate` (int) –

controls the sign of motion vectors when the alternate frame is referenced

`mb_no_skip_coeff` (int) –

enables (0) or disables (1) the skipping of macroblocks containing no non-zero coefficients

`prob_skip_false` (int) –

indicates the probability that the macroblock is not skipped

`prob_intra` (int) –

indicates the probability of an intra macroblock

`prob_last` (int) –

indicates the probability that the last reference frame is used for inter-prediction

`prob_gf` (int) –

indicates the probability that the golden reference frame is used for inter-prediction

`rd_range` (int) –

last range decoder value for "Range"

`rd_value` (int) –

last range decoder value for "Value"

`rd_count` (int) –

number of bits left in range decoder "Value" (@rd_value)

`header_size` (int) –

the size in bits of the Frame Header, thus excluding any Uncompressed Data Chunk bytes

## GstVp8MbLfAdjustments

MB-level loop filter adjustments.

### Members

`loop_filter_adj_enable` (guint8) –

indicates if the MB-level loop filter adjustment is on for the current frame

`mode_ref_lf_delta_update` (guint8) –

indicates if the delta values used in an adjustment are updated in the current frame

`ref_frame_delta` (gint8 *) –

indicates the adjustment delta value corresponding to a certain used reference frame

`mb_mode_delta` (gint8 *) –

indicates the adjustment delta value corresponding to a certain MB prediction mode

## GstCodecParsers.Vp8MbLfAdjustments

MB-level loop filter adjustments.

### Members

`loop_filter_adj_enable` (Number) –

indicates if the MB-level loop filter adjustment is on for the current frame

`mode_ref_lf_delta_update` (Number) –

indicates if the delta values used in an adjustment are updated in the current frame

`ref_frame_delta` ([ Number ]) –

indicates the adjustment delta value corresponding to a certain used reference frame

`mb_mode_delta` ([ Number ]) –

indicates the adjustment delta value corresponding to a certain MB prediction mode

## GstCodecParsers.Vp8MbLfAdjustments

MB-level loop filter adjustments.

### Members

`loop_filter_adj_enable` (int) –

indicates if the MB-level loop filter adjustment is on for the current frame

`mode_ref_lf_delta_update` (int) –

indicates if the delta values used in an adjustment are updated in the current frame

`ref_frame_delta` ([ int ]) –

indicates the adjustment delta value corresponding to a certain used reference frame

`mb_mode_delta` ([ int ]) –

indicates the adjustment delta value corresponding to a certain MB prediction mode

## GstVp8ModeProbs

Probabilities used for intra-prediction mode decoding tree.

Each probability value in thie structure is live across frames, until they are reset to their default values on key frame.

### Members

`y_prob` (guint8 *) –

indicates the branch probabilities of the luma intra-prediction mode decoding tree

`uv_prob` (guint8 *) –

indicates the branch probabilities of the chroma intra-prediction mode decoding tree

## GstCodecParsers.Vp8ModeProbs

Probabilities used for intra-prediction mode decoding tree.

Each probability value in thie structure is live across frames, until they are reset to their default values on key frame.

### Members

`y_prob` ([ Number ]) –

indicates the branch probabilities of the luma intra-prediction mode decoding tree

`uv_prob` ([ Number ]) –

indicates the branch probabilities of the chroma intra-prediction mode decoding tree

## GstCodecParsers.Vp8ModeProbs

Probabilities used for intra-prediction mode decoding tree.

Each probability value in thie structure is live across frames, until they are reset to their default values on key frame.

### Members

`y_prob` ([ int ]) –

indicates the branch probabilities of the luma intra-prediction mode decoding tree

`uv_prob` ([ int ]) –

indicates the branch probabilities of the chroma intra-prediction mode decoding tree

## GstVp8MvProbs

Probabilities used for motion vector decoding, with cumulative updates applied.

Each probability value in this matrix is live across frames, until they are reset to their default values on key frame.

### Members

`prob` (guint8 *) –

MV probability

## GstCodecParsers.Vp8MvProbs

Probabilities used for motion vector decoding, with cumulative updates applied.

Each probability value in this matrix is live across frames, until they are reset to their default values on key frame.

### Members

`prob` ([ Number ]) –

MV probability

## GstCodecParsers.Vp8MvProbs

Probabilities used for motion vector decoding, with cumulative updates applied.

Each probability value in this matrix is live across frames, until they are reset to their default values on key frame.

### Members

`prob` ([ int ]) –

MV probability

## GstVp8Parser

Parser context that needs to be live across frames. For instance the probabilities tables stored in GstVp8FrameHdr may depend on the previous frames.

### Members

`segmentation` (GstVp8Segmentation) –

segmentation feature data

`mb_lf_adjust` (GstVp8MbLfAdjustments) –

MB-level loop filter adjustments

`token_probs` (GstVp8TokenProbs) –

token probabilities

`mv_probs` (GstVp8MvProbs) –

probabilities used for motion vector decoding

`mode_probs` (GstVp8ModeProbs) –

probabilities used for intra-prediction mode decoding tree.

## GstCodecParsers.Vp8Parser

Parser context that needs to be live across frames. For instance the probabilities tables stored in GstCodecParsers.Vp8FrameHdr may depend on the previous frames.

### Members

`segmentation` (GstCodecParsers.Vp8Segmentation) –

segmentation feature data

`mb_lf_adjust` (GstCodecParsers.Vp8MbLfAdjustments) –

MB-level loop filter adjustments

`token_probs` (GstCodecParsers.Vp8TokenProbs) –

token probabilities

`mv_probs` (GstCodecParsers.Vp8MvProbs) –

probabilities used for motion vector decoding

`mode_probs` (GstCodecParsers.Vp8ModeProbs) –

probabilities used for intra-prediction mode decoding tree.

## GstCodecParsers.Vp8Parser

Parser context that needs to be live across frames. For instance the probabilities tables stored in GstCodecParsers.Vp8FrameHdr may depend on the previous frames.

### Members

`segmentation` (GstCodecParsers.Vp8Segmentation) –

segmentation feature data

`mb_lf_adjust` (GstCodecParsers.Vp8MbLfAdjustments) –

MB-level loop filter adjustments

`token_probs` (GstCodecParsers.Vp8TokenProbs) –

token probabilities

`mv_probs` (GstCodecParsers.Vp8MvProbs) –

probabilities used for motion vector decoding

`mode_probs` (GstCodecParsers.Vp8ModeProbs) –

probabilities used for intra-prediction mode decoding tree.

### Methods

#### gst_vp8_parser_init

    gst_vp8_parser_init (GstVp8Parser * parser)

Initializes the supplied parser structure with its default values.

Parameters:

`parser` –

The GstVp8Parser to initialize

Since : 1.4

#### GstCodecParsers.Vp8Parser.prototype.init

    function GstCodecParsers.Vp8Parser.prototype.init(): {
        // javascript wrapper for 'gst_vp8_parser_init'
    }

Initializes the supplied parser structure with its default values.

Parameters:

`parser` (GstCodecParsers.Vp8Parser) –

The GstCodecParsers.Vp8Parser to initialize

Since : 1.4

#### GstCodecParsers.Vp8Parser.init

    def GstCodecParsers.Vp8Parser.init (self):
        #python wrapper for 'gst_vp8_parser_init'

Initializes the supplied parser structure with its default values.

Parameters:

`parser` (GstCodecParsers.Vp8Parser) –

The GstCodecParsers.Vp8Parser to initialize

Since : 1.4

#### gst_vp8_parser_parse_frame_header

    GstVp8ParserResult
    gst_vp8_parser_parse_frame_header (GstVp8Parser * parser,
                                       GstVp8FrameHdr * frame_hdr,
                                       const guint8 * data,
                                       gsize size)

Parses the VP8 bitstream contained in data, and fills in frame_hdr with the information. The supplied data shall point to a complete frame since there is no sync code specified for VP8 bitstreams. Thus, the size argument shall represent the whole frame size.

Parameters:

`parser` –

The GstVp8Parser

`frame_hdr` –

The GstVp8FrameHdr to fill

`data` –

The data to parse

`size` –

The size of the data to parse

Returns –

a GstVp8ParserResult

Since : 1.4

#### GstCodecParsers.Vp8Parser.prototype.parse_frame_header

    function GstCodecParsers.Vp8Parser.prototype.parse_frame_header(frame_hdr: GstCodecParsers.Vp8FrameHdr, data: Number, size: Number): {
        // javascript wrapper for 'gst_vp8_parser_parse_frame_header'
    }

Parses the VP8 bitstream contained in data, and fills in frame_hdr with the information. The supplied data shall point to a complete frame since there is no sync code specified for VP8 bitstreams. Thus, the size argument shall represent the whole frame size.

Parameters:

`parser` (GstCodecParsers.Vp8Parser) –

The GstCodecParsers.Vp8Parser

`frame_hdr` (GstCodecParsers.Vp8FrameHdr) –

The GstCodecParsers.Vp8FrameHdr to fill

`data` (Number) –

The data to parse

`size` (Number) –

The size of the data to parse

Returns (GstCodecParsers.Vp8ParserResult) –

a GstCodecParsers.Vp8ParserResult

Since : 1.4

#### GstCodecParsers.Vp8Parser.parse_frame_header

    def GstCodecParsers.Vp8Parser.parse_frame_header (self, frame_hdr, data, size):
        #python wrapper for 'gst_vp8_parser_parse_frame_header'

Parses the VP8 bitstream contained in data, and fills in frame_hdr with the information. The supplied data shall point to a complete frame since there is no sync code specified for VP8 bitstreams. Thus, the size argument shall represent the whole frame size.

Parameters:

`parser` (GstCodecParsers.Vp8Parser) –

The GstCodecParsers.Vp8Parser

`frame_hdr` (GstCodecParsers.Vp8FrameHdr) –

The GstCodecParsers.Vp8FrameHdr to fill

`data` (int) –

The data to parse

`size` (int) –

The size of the data to parse

Returns (GstCodecParsers.Vp8ParserResult) –

a GstCodecParsers.Vp8ParserResult

Since : 1.4

## GstVp8QuantIndices

### Members

`y_ac_qi` (guint8) –
No description available
`y_dc_delta` (gint8) –
No description available
`y2_dc_delta` (gint8) –
No description available
`y2_ac_delta` (gint8) –
No description available
`uv_dc_delta` (gint8) –
No description available
`uv_ac_delta` (gint8) –
No description available

## GstCodecParsers.Vp8QuantIndices

### Members

`y_ac_qi` (Number) –
No description available
`y_dc_delta` (Number) –
No description available
`y2_dc_delta` (Number) –
No description available
`y2_ac_delta` (Number) –
No description available
`uv_dc_delta` (Number) –
No description available
`uv_ac_delta` (Number) –
No description available

## GstCodecParsers.Vp8QuantIndices

### Members

`y_ac_qi` (int) –
No description available
`y_dc_delta` (int) –
No description available
`y2_dc_delta` (int) –
No description available
`y2_ac_delta` (int) –
No description available
`uv_dc_delta` (int) –
No description available
`uv_ac_delta` (int) –
No description available

## GstVp8Segmentation

Segmentation feature data.

### Members

`segmentation_enabled` (guint8) –

enables the segmentation feature for the current frame

`update_mb_segmentation_map` (guint8) –

determines if the MB segmentation map is updated in the current frame

`update_segment_feature_data` (guint8) –

indicates if the segment feature data is updated in the current frame

`segment_feature_mode` (guint8) –

indicates the feature data update mode (0: delta, 1: absolute value)

`quantizer_update_value` (gint8 *) –

indicates the update value for the segment quantizer

`lf_update_value` (gint8 *) –

indicates the update value for the loop filter level

`segment_prob` (guint8 *) –

indicates the branch probabilities of the segment_id decoding tree

## GstCodecParsers.Vp8Segmentation

Segmentation feature data.

### Members

`segmentation_enabled` (Number) –

enables the segmentation feature for the current frame

`update_mb_segmentation_map` (Number) –

determines if the MB segmentation map is updated in the current frame

`update_segment_feature_data` (Number) –

indicates if the segment feature data is updated in the current frame

`segment_feature_mode` (Number) –

indicates the feature data update mode (0: delta, 1: absolute value)

`quantizer_update_value` ([ Number ]) –

indicates the update value for the segment quantizer

`lf_update_value` ([ Number ]) –

indicates the update value for the loop filter level

`segment_prob` ([ Number ]) –

indicates the branch probabilities of the segment_id decoding tree

## GstCodecParsers.Vp8Segmentation

Segmentation feature data.

### Members

`segmentation_enabled` (int) –

enables the segmentation feature for the current frame

`update_mb_segmentation_map` (int) –

determines if the MB segmentation map is updated in the current frame

`update_segment_feature_data` (int) –

indicates if the segment feature data is updated in the current frame

`segment_feature_mode` (int) –

indicates the feature data update mode (0: delta, 1: absolute value)

`quantizer_update_value` ([ int ]) –

indicates the update value for the segment quantizer

`lf_update_value` ([ int ]) –

indicates the update value for the loop filter level

`segment_prob` ([ int ]) –

indicates the branch probabilities of the segment_id decoding tree

## GstVp8TokenProbs

Token probabilities, with cumulative updates applied.

Each probability value in this matrix is live across frames, until they are reset to their default values on key frame.

### Members

`prob` (guint8 *) –

token probability

## GstCodecParsers.Vp8TokenProbs

Token probabilities, with cumulative updates applied.

Each probability value in this matrix is live across frames, until they are reset to their default values on key frame.

### Members

`prob` ([ Number ]) –

token probability

## GstCodecParsers.Vp8TokenProbs

Token probabilities, with cumulative updates applied.

Each probability value in this matrix is live across frames, until they are reset to their default values on key frame.

### Members

`prob` ([ int ]) –

token probability

## Enumerations

### GstVp8FrameType

VP8 frame types

##### Members

`GST_VP8_KEY_FRAME` (0) –

Key frame, only have intra blocks

`GST_VP8_INTER_FRAME` (1) –

Inter frame, both intra and inter blocks

Since : 1.26

### GstCodecParsers.Vp8FrameType

VP8 frame types

##### Members

`GstCodecParsers.Vp8FrameType.KEY_FRAME` (0) –

Key frame, only have intra blocks

`GstCodecParsers.Vp8FrameType.INTER_FRAME` (1) –

Inter frame, both intra and inter blocks

Since : 1.26

### GstCodecParsers.Vp8FrameType

VP8 frame types

##### Members

`GstCodecParsers.Vp8FrameType.KEY_FRAME` (0) –

Key frame, only have intra blocks

`GstCodecParsers.Vp8FrameType.INTER_FRAME` (1) –

Inter frame, both intra and inter blocks

Since : 1.26

### GstVp8ParserResult

The result of parsing VP8 data.

##### Members

`GST_VP8_PARSER_OK` (0) –

The parsing succeeded

`GST_VP8_PARSER_BROKEN_DATA` (1) –

The data to parse is broken

`GST_VP8_PARSER_ERROR` (2) –

An error accured when parsing

### GstCodecParsers.Vp8ParserResult

The result of parsing VP8 data.

##### Members

`GstCodecParsers.Vp8ParserResult.OK` (0) –

The parsing succeeded

`GstCodecParsers.Vp8ParserResult.BROKEN_DATA` (1) –

The data to parse is broken

`GstCodecParsers.Vp8ParserResult.ERROR` (2) –

An error accured when parsing

### GstCodecParsers.Vp8ParserResult

The result of parsing VP8 data.

##### Members

`GstCodecParsers.Vp8ParserResult.OK` (0) –

The parsing succeeded

`GstCodecParsers.Vp8ParserResult.BROKEN_DATA` (1) –

The data to parse is broken

`GstCodecParsers.Vp8ParserResult.ERROR` (2) –

An error accured when parsing

### GstVp8RefFrameType

Reference Frame types

##### Members

`GST_VP8_REF_FRAME_INTRA` (0) –

Intra reference frame

`GST_VP8_REF_FRAME_LAST` (1) –

Last Reference frame

`GST_VP8_REF_FRAME_GOLDEN` (2) –

Golden Reference frame

`GST_VP8_REF_FRAME_ALTREF` (3) –

Alternate Reference frame

`GST_VP8_REF_FRAME_MAX` (4) –
No description available

Since : 1.26

### GstCodecParsers.Vp8RefFrameType

Reference Frame types

##### Members

`GstCodecParsers.Vp8RefFrameType.INTRA` (0) –

Intra reference frame

`GstCodecParsers.Vp8RefFrameType.LAST` (1) –

Last Reference frame

`GstCodecParsers.Vp8RefFrameType.GOLDEN` (2) –

Golden Reference frame

`GstCodecParsers.Vp8RefFrameType.ALTREF` (3) –

Alternate Reference frame

`GstCodecParsers.Vp8RefFrameType.MAX` (4) –
No description available

Since : 1.26

### GstCodecParsers.Vp8RefFrameType

Reference Frame types

##### Members

`GstCodecParsers.Vp8RefFrameType.INTRA` (0) –

Intra reference frame

`GstCodecParsers.Vp8RefFrameType.LAST` (1) –

Last Reference frame

`GstCodecParsers.Vp8RefFrameType.GOLDEN` (2) –

Golden Reference frame

`GstCodecParsers.Vp8RefFrameType.ALTREF` (3) –

Alternate Reference frame

`GstCodecParsers.Vp8RefFrameType.MAX` (4) –
No description available

Since : 1.26

## Constants

### GST_VP8_MAX_REF_FRAMES

    #define GST_VP8_MAX_REF_FRAMES 3

### GstCodecParsers.VP8_MAX_REF_FRAMES

The results of the search are